## org.codehaus.groovy.control.io
Class URLReaderSource

A ReaderSource for source files hosted at a URL.

author:
  Chris Poirier

version:
  $Id: URLReaderSource.java 6778 2007-07-02 10:40:33Z glaforge $

Field Summary
`URL` | `url`

Constructor Summary
`URLReaderSource(URL url, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Constructor Detail

### URLReaderSource

    public URLReaderSource(URL url, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  param:
    url url pointing to script source
  param:
    configuration configuration for compiling source

Method Detail

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object.